Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 15/12/2012, à 20:15

yoyo.thebest

[Résolu]La grouille avec Python

Bonjour

J'ai un pb avec python que je n'arrive pas à régler
Suite à une mise à jour j'ai perdu plusieurs packages embêtant (muon, python-qt4, python-kde,....)
Grace à aptitude j'ai eu la possibilité de libérer des fichier marque à "garder en l'état"
Par la suite, j'ai pu installer muon
Je n'ai pu réinstaller python-qt4, python-kde4 qu'après avoir supprimer et réinstaller python-sip

J'arrive donc petit à petit à remettre en l'état mais visiblement il me manque encore des packages.
En effet, j'ai installer le plasmoide CWP et il refuse d'afficher les icones.
De plus GtkOrphan m'indique que les package appmenu-gtk, appmenu-gtk3, im-switch, libtiff4 et libxp6 sont devenu orphelin.

Auriez vous la moindre idée des package qui me manquent encore ?
Franchement si besoin je fera une réinstall complète mais à une semaine de mes vacances bof bof.

Merci par avance

Dernière modification par yoyo.thebest (Le 17/12/2012, à 00:18)

Hors ligne

#2 Le 15/12/2012, à 21:36

yoyo.thebest

Re : [Résolu]La grouille avec Python

bon après avoir tout réinstaller
Voici l'état des lieux :
Je sais quel PPA m'a foutu la grouille : https://launchpad.net/~n-muench/+archive/calibre
Dommage je suis fan de calibre
Vivement la version 0.9 dans les dépots officiel.

J'ai rajouté les package python-cssselect  et Cssutils et cela semble avoir presque régler mon pb

De plus je pense que mon pb avec CWP vient en fait du site http://fr.weather.com qui est plus ou moins dans les choux

Mon pb reste donc les es packages appmenu-gtk, appmenu-gtk3, im-switch, libtiff4 et libxp6 qui sont devenu orphelins

Hors ligne

#3 Le 15/12/2012, à 23:35

φlip

Re : [Résolu]La grouille avec Python

yoyo.thebest a écrit :

Suite à une mise à jour j'ai perdu plusieurs packages embêtant (muon, python-qt4, python-kde,....)

Est-on censé deviner une mise à jour de quoi ? De quel système ?
Une version officielle de kubuntu ? Un bricolage d'un mix de ppa divers et variés ?
Ou tu fais suite à d'autres messages ?

En ligne

#4 Le 16/12/2012, à 01:03

yoyo.thebest

Re : [Résolu]La grouille avec Python

Autant pour moi tu as raison, soyons précis.
je suis sous Kubuntu 12.10 qui utilise principalement le PPA kubuntu histoire d'avoir Kde un peu en avance.

J'utilise aussi le ppa de ~n-muench pour installer et suivre calibre (qui est bloquer en version 0.8 dans les dépôts officiels et donc plus vraiment au niveau pour ma Kobo).
Dans ce dernier ppa, une version de python-sip est proposé qui supprime des packages (dont muon, python-qt4, python-kde4,....) voir même calibre.

Je savais qu'utiliser les ppa pouvait être potentiellement dangereux. Maintenant j'en ai l'expérience.
Je suis revenu à quelque chose de stable.
Ma seule interrogation porte sur le nom du package python qui fait appel à appmenu-gtk, appmenu-gtk3, im-switch, libtiff4 et libxp6.
SI vous avez une idée je suis preneur

Hors ligne

#5 Le 16/12/2012, à 01:40

φlip

Re : [Résolu]La grouille avec Python

yoyo.thebest a écrit :

Kubuntu 12.10 qui utilise principalement le PPA kubuntu histoire d'avoir Kde un peu en avance

Ça ça s'appelle du bricolage, puisque je ne sais même pas déduire si tu es en pseudo KDE4.9.4 ou KDE4.9.90.
Tu y as bien sûr droit, mais à une condition:
=> apprends à gérer un système à sa base avec les outils apt genre aptitude, ou dpkg ou à la limite apt-get qui te guideront pour démerder les dépendances de paquets, et que personne d'autre ne peut démerder sans connaître ton bricolage très personnel.

En résumé:
- soit tu utilises Kubuntu, et tu exposes un problème de mise à jour qui peut arriver.
- soit tu utilises Kubuntu bricolé avec des ppa X,Y,Z, et tu assumes et apprends par toi même, mais en ne demandant pas de l'aide en sifflotant comme si tu utilisais "normalement" kubuntu, et sans rien préciser.

Sinon, tu ne seras jamais yoyo the best.
This is my 2 cents.

"Ma seule interrogation porte sur le nom du package python qui fait appel à appmenu-gtk, appmenu-gtk3, im-switch, libtiff4 et libxp6."

Pourquoi affirmes-tu qu'un paquet python fait appel à tous ces paquets ???
Sais-tu au moins te servir de apt-cache rdepends ?

Dernière modification par φlip (Le 16/12/2012, à 01:57)

En ligne

#6 Le 16/12/2012, à 21:04

yoyo.thebest

Re : [Résolu]La grouille avec Python

Bonjour

je te trouve dur mais après les soucis que j'ai connu je trouve tes reproches mérités.
Cela va faire 4/5 ans que je connais ubuntu mais seulement un an que je pratique Kde (mercy à Unity)
je connais apt-get et dpkg  edt je n'avais jamais eu vraiment de soucis.
Je viens de découvrir aptitude et je vais creuser pour voir ce que cela donne.

Je ne connais pas par contre apt-cahe mais j'ai rapidement parcouru sa doc et effectivement je devrais 2/3 fonctionnalités que je trouve intéressantes.

Juste pour Info je suis sous KDE 4.9.4 (je ne savais même pas qu'il y avait une version 4.9.90) en attendant la 4.10 l'année prochaine.
Je pense que je referai une install from scrach avec Kubuntu 13.4

Juste un dernier truc : j'ai fini par trouver le package qui me manquait : kubuntu-desktop.

Dernière modification par yoyo.thebest (Le 16/12/2012, à 23:12)

Hors ligne

#7 Le 16/12/2012, à 22:49

φlip

Re : [Résolu]La grouille avec Python

L'essentiel est que tu comprennes mon message.

Au fait, ça ça dit quoi ?

find /etc/apt -name '*.list'|xargs grep ^deb\ |cut -d: -f2-

En ligne

#8 Le 16/12/2012, à 23:12

yoyo.thebest

Re : [Résolu]La grouille avec Python

voici mes dépots :

deb http://mirror.ovh.net/ubuntu/ quantal main restricted
deb http://mirror.ovh.net/ubuntu/ quantal-updates main restricted
deb http://mirror.ovh.net/ubuntu/ quantal universe
deb http://mirror.ovh.net/ubuntu/ quantal-updates universe
deb http://mirror.ovh.net/ubuntu/ quantal multiverse
deb http://mirror.ovh.net/ubuntu/ quantal-updates multiverse
deb http://mirror.ovh.net/ubuntu/ quantal-backports main restricted universe multiverse
deb http://mirror.ovh.net/ubuntu/ quantal-security main restricted
deb http://mirror.ovh.net/ubuntu/ quantal-security universe
deb http://mirror.ovh.net/ubuntu/ quantal-security multiverse
deb http://extras.ubuntu.com/ubuntu quantal main
deb http://mirror.ovh.net/ubuntu/ quantal-proposed restricted main multiverse universe
deb http://ppa.launchpad.net/kubuntu-ppa/ppa/ubuntu quantal main
deb http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu precise main

j'en ai d'autre mais je ne les active qu'à l'occasion

Hors ligne

#9 Le 16/12/2012, à 23:20

φlip

Re : [Résolu]La grouille avec Python

si tu fais ça, ça dit quoi ?

aptitude install -fs

En ligne

#10 Le 16/12/2012, à 23:35

yoyo.thebest

Re : [Résolu]La grouille avec Python

il cherche à m'installer les packages :libvte-common libvte9 sessioninstaller synaptic

j'ai préférer dire non dans la limite ou sessioninstaller et synaptic ont été installer pour réparer mon système et que je les ai supprimer dès que j'ai récupérer muon
par contre ibvte-common libvte9 c'est quoi ???

Dernière modification par yoyo.thebest (Le 16/12/2012, à 23:43)

Hors ligne

#11 Le 16/12/2012, à 23:54

φlip

Re : [Résolu]La grouille avec Python

et ça ça dit quoi ?

aptitude remove  ibvte-common libvte9  synaptic sessioninstaller

En ligne

#12 Le 17/12/2012, à 00:01

yoyo.thebest

Re : [Résolu]La grouille avec Python

A froid je vais dire que cela ne donne pas grand chose

sudo aptitude remove libvte-common libvte9 sessioninstaller synaptic
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.

par contre quand je relance l'autre commande j'ai maintenant

aptitude install -fs
Les paquets suivants seront ENLEVÉS :         
  librarian0{u} python-aptdaemon{u} python-aptdaemon.gtk3widgets{u} python-defer{u} python-gst0.10{u} rarian-compat{u}
0 paquets mis à jour, 0 nouvellement installés, 6 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 2 397 ko seront libérés.

je commence à m'inquiéter
j'ai dit oui mais je ne crois pas avoir perdu de package

Dernière modification par yoyo.thebest (Le 17/12/2012, à 00:04)

Hors ligne

#13 Le 17/12/2012, à 00:06

φlip

Re : [Résolu]La grouille avec Python

alors fais ça

sudo aptitude install -fy

et tu installeras ce qui te manque par la suite

En ligne

#14 Le 17/12/2012, à 00:12

yoyo.thebest

Re : [Résolu]La grouille avec Python

sudo aptitude install -fy
[sudo] password for yoyo:
Les paquets suivants seront ENLEVÉS :         
  librarian0{u} python-aptdaemon{u} python-aptdaemon.gtk3widgets{u} python-defer{u} python-gst0.10{u} rarian-compat{u}
0 paquets mis à jour, 0 nouvellement installés, 6 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 2 397 ko seront libérés.
(Lecture de la base de données... 198367 fichiers et répertoires déjà installés.)
Suppression de rarian-compat ...
Suppression de librarian0 ...
Suppression de python-aptdaemon.gtk3widgets ...
Suppression de python-aptdaemon ...
Suppression de python-defer ...
Suppression de python-gst0.10 ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place

je dois m'inquiéter ? j'ai du mal à trouver à quoi ils servent exactement ?

Hors ligne

#15 Le 17/12/2012, à 00:13

φlip

Re : [Résolu]La grouille avec Python

Meuh non t'inquiète pas.
S'il manque un truc, tu complèteras.

En ligne

#16 Le 17/12/2012, à 00:17

yoyo.thebest

Re : [Résolu]La grouille avec Python

Ok merci
je garde de coter les noms des fichiers supprimer

Hors ligne

#17 Le 17/12/2012, à 00:34

φlip

Re : [Résolu]La grouille avec Python

aptitude is your friend man.

En ligne

#18 Le 17/12/2012, à 07:23

yoyo.thebest

Re : [Résolu]La grouille avec Python

A l'occasion j'aimerai bien que tu m'explique les commandes aptitudes que tu m'as donné.
j'ai un peu de mal à trouver une doc explicative sur le net

Hors ligne

#19 Le 17/12/2012, à 08:48

wido

Re : [Résolu]La grouille avec Python

Hors ligne

#20 Le 17/12/2012, à 18:53

yoyo.thebest

Re : [Résolu]La grouille avec Python

bonsoir

je connais bien le site de documentation d'ubutnu.
Dans 90% des cas il donne les bonne information.
Mais pour aptitude je te mets au défis de trouver à quoi correspond :

sudo aptitude install -fy (à une installe surement mais avec quelle option)
aptitude install -fs  (tout pareil)
aptitude remove  libvte-common libvte9  synaptic sessioninstaller (bon là je suis limite mais j'arrive à comprendre)

que donne les options fy et fs ?????? telle est la question

Hors ligne

#21 Le 17/12/2012, à 20:54

φlip

Re : [Résolu]La grouille avec Python

Ha yoyo ... c'est bien, tu es curieux.

Le plus facile pour consulter man, tu ouvres konqueror et tu tapes dans la barre url

man:aptitude

Si ça ne te suffit pas, tu installes le paquet aptitude-doc-fr.

Au fait, j'ai oublié de te dire.....
Ton KDE 4.9.4 ne vient pas des dépôts de quantal, mais d'un dépôt ppa antérieur.
Rien de grave pour le moment, mais n'oublie pas que si un jour tu veux migrer en raring, tu risques d'avoir des surprises.
Un homme averti en vaut deux (au minimum).

exemple: que dit ceci:

dpkg -l kde-runtime | grep ^i | awk '{print $2,$3}'

En ligne

#22 Le 17/12/2012, à 22:09

yoyo.thebest

Re : [Résolu]La grouille avec Python

Tu es sur ? https://launchpad.net/~kubuntu-ppa/+archive/ppa me semble être encore en activité.
Pour moi ce ppa appartient à l'équipe Kubuntu qui y met ses package Kde en avance

Sur ce, je vais aller tâter du man (au fait c'est "man aptitude")

Dernière modification par yoyo.thebest (Le 17/12/2012, à 22:10)

Hors ligne

#23 Le 17/12/2012, à 22:15

φlip

Re : [Résolu]La grouille avec Python

que dit ceci:

dpkg -l kde-runtime | grep ^i | awk '{print $2,$3}'

En ligne

#24 Le 17/12/2012, à 22:16

yoyo.thebest

Re : [Résolu]La grouille avec Python

Ok j'ai compris les options que tu m'as proposé
le -f permet d'essayer de résoudre "témérairement" les pertes de dépendances
le -s permet la simulation
le  -y dit oui à tout

J'ai tout bon ????

Hors ligne

#25 Le 17/12/2012, à 22:38

φlip

Re : [Résolu]La grouille avec Python

Oui mais je comprends pas ou tu bloques sur la commande dpkg. C'est plutôt inquiétant.
Si tu fais ça ça dit quoi

ls /usr/bin/dpkg

En ligne

Haut de page ↑